import request from '@/utils/request'

// 查询代码片段管理列表
export function listSnippet(query) {
  return request({
    url: '/generator/snippet/list',
    method: 'get',
    params: query
  })
}

// 查询代码片段管理详细
export function getSnippet(snippetId) {
  return request({
    url: '/generator/snippet/' + snippetId,
    method: 'get'
  })
}

// 新增代码片段管理
export function addSnippet(data) {
  return request({
    url: '/generator/snippet',
    method: 'post',
    data: data
  })
}

// 修改代码片段管理
export function updateSnippet(data) {
  return request({
    url: '/generator/snippet',
    method: 'put',
    data: data
  })
}

// 删除代码片段管理
export function delSnippet(snippetId) {
  return request({
    url: '/generator/snippet/' + snippetId,
    method: 'delete'
  })
}
